# BulkPublishRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class BulkPublishRequest<T>

- java.lang.Object
- - io.dapr.client.domain.BulkPublishRequest<T>

Type Parameters:
  `T` - Type parameter of the event.

    public final class BulkPublishRequest<T>
    extends Object

A request to bulk publish multiples events in a single call to Dapr.

### Constructor Summary

Constructors
`BulkPublishRequest​(String pubsubName, String topic, List<BulkPublishEntry<T>> entries)` Constructor for BulkPublishRequest.
`BulkPublishRequest​(String pubsubName, String topic, List<BulkPublishEntry<T>> entries, Map<String,​String> metadata)` Constructor for the BulkPublishRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<BulkPublishEntry<T>>` `getEntries()`
`Map<String,​String>` `getMetadata()`
`String` `getPubsubName()`
`String` `getTopic()`
`BulkPublishRequest<T>` `setMetadata​(Map<String,​String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkPublishRequest

    public BulkPublishRequest​(String pubsubName,
                              String topic,
                              List<BulkPublishEntry<T>> entries)

Constructor for BulkPublishRequest.

Parameters:
  `pubsubName` - Name of the pubsub to publish to.
  `topic` - Name of the topic to publish to.
  `entries` - List of `BulkPublishEntry` objects.

#### BulkPublishRequest

    public BulkPublishRequest​(String pubsubName,
                              String topic,
                              List<BulkPublishEntry<T>> entries,
                              Map<String,​String> metadata)

Constructor for the BulkPublishRequest.

Parameters:
  `pubsubName` - Name of the pubsub to publish to.
  `topic` - Name of the topic to publish to.
  `entries` - List of `BulkPublishEntry` objects.
  `metadata` - Metadata for the request.

### Method Detail

#### getPubsubName

    public String getPubsubName()

#### getTopic

    public String getTopic()

#### getMetadata

    public Map<String,​String> getMetadata()

#### setMetadata

    public BulkPublishRequest<T> setMetadata​(Map<String,​String> metadata)

#### getEntries

    public List<BulkPublishEntry<T>> getEntries()